---

kdc_realm: EXTRANET.PROLOGIN.ORG

kdc_kdcdefaults:
  kdc_ports: 88
  #spake_preauth_kdc_challenge: edwards25519

kdc_libdefaults:
  default_realm: EXTRANET.PROLOGIN.ORG
  dns_canonicalize_hostname: "false"
  rdns: "false"
  #spake_preauth_groups: edwards25519

kdc_realms:
  - realm: EXTRANET.PROLOGIN.ORG
    options:
      kdc: kdc.extranet.prologin.org
      admin_server: kdc.extranet.prologin.org
      database_module: openldap_ldapconf
      default_principal_flags: +preauth -service
      max_life: "12:00"
      max_renewable_life: "0"

kdc_domain_realm:
  .prologin.org: EXTRANET.PROLOGIN.ORG
  .girlscancode.fr: EXTRANET.PROLOGIN.ORG

kdc_dbdefaults:
  ldap_kerberos_container_dn: cn=krbContainer,cn=kerberos

kdc_dbmodules:
  - name: openldap_ldapconf
    options:
      db_library: kldap
      disable_last_success: "true"
      ldap_kdc_dn: "{{ lookup('community.hashi_vault.hashi_vault', 'infra/data/extranet/kdc/ldap_account:bind_dn') }}"
      ldap_kadmind_dn: "{{ lookup('community.hashi_vault.hashi_vault', 'infra/data/extranet/kdc/ldap_account:bind_dn') }}"
      ldap_service_password_file: /etc/krb5kdc/service.keyfile
      ldap_servers: ldapi://%2Frun%2Fopenldap%2Fldapi
      ldap_conns_per_server: 5

kdc_kadmin_acl:
  - principal: "*/admin@EXTRANET.PROLOGIN.ORG"
    target: "*"
    privileges: "*"

kdc_password_stash:
  - dn: "{{ lookup('community.hashi_vault.hashi_vault', 'infra/data/extranet/kdc/ldap_account:bind_dn') }}"
    password: "{{ lookup('community.hashi_vault.hashi_vault', 'infra/data/extranet/kdc/ldap_account:password') }}"
